/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */

package mvcgrafik;

import javax.swing.JOptionPane;
import javax.swing.UIManager;
import mvcgrafik.controller.GrafikController;
import mvcgrafik.model.GrafikModel;
import mvcgrafik.view.GrafikFrame;
import mvcgrafik.view.GrafikView;

/**
 * Builder Class
 * @author le
 */
public class Start
{
  public Start()
  {
    GrafikModel model = new GrafikModel();
    GrafikFrame frm = new GrafikFrame();
    GrafikView view = frm.getgZeichenflaeche();
    view.setModel(model);
    GrafikController controller = new GrafikController(view, model);
    controller.registerEvents();
    frm.setVisible(true);
  }

  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) 
  {
    try
    {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch (Exception ex)
    {
      JOptionPane.showMessageDialog(null, ex.toString());
    }
    new Start();
  }
}
